<template>
    <div class="row">
        <!-- profile completion modal -->
        <div class="modal fade" id="contact-modal" tabindex="0" role="dialog" aria-labelledby="modal-form"
             aria-hidden="true">
            <div class="modal-dialog modal- modal-dialog-centered modal-sm" role="document">
                <div class="modal-content">
                    <div class="modal-body p-0">
                        <div class="card bg-secondary shadow border-0">
                            <div class="card-header bg-white">
                                <div class="text-muted text-center mb-3">Connect with your lawyer</div>
                            </div>
                            <div class="card-body px-lg-5 py-lg-5">
                                <form role="form">
                                    <!-- input: email -->
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="ni ni-email-83"></i></span>
                                            </div>
                                            <input class="form-control" v-model="form.email" name="email" placeholder="Email" type="email">
                                        </div>
                                    </div>
                                    <!-- input: name -->
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="ni ni-circle-08"></i></span>
                                            </div>
                                            <input class="form-control" v-model="form.name" name="name" placeholder="Name" type="text">
                                        </div>
                                    </div>
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="ni ni-mobile-button"></i></span>
                                            </div>
                                            <input class="form-control" v-model="form.phone" name="name" placeholder="Phone" type="text">
                                        </div>
                                    </div>
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                            </div>
                                            <textarea class="form-control" v-model="form.msg" name="name" placeholder=" Your msg to lawyer" />
                                        </div>
                                    </div>
                                    <div class="text-center">
                                        <button @click="submitConnect" type="button" class="btn btn-primary my-4">Send</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- endmodal -->
        <base-button v-if="canPrevLawyer" @click="previousLawyer" class="icon icon-shape text-white rounded-circle shadow bg-gradient-red" type="primary" icon="ni ni-bold-left"></base-button>
        <div class="card-body">
            <div class="tab-content" id="myTabContent">
                <section id="pCover" class="section-profile-cover section-shaped my-0">
                    <!-- Circles background -->
                    <div class="shape shape-style-1 shape-primary alpha-4">
                        <span></span>
                        <span></span>
                        <span></span>
                        <span></span>
                        <span></span>
                        <span></span>
                        <span></span>
                    </div>
                    <!-- SVG separator -->
                    <div class="separator separator-bottom separator-skew">
                        <svg x="0" y="0" viewBox="0 0 2560 100" preserveAspectRatio="none" version="1.1" xmlns="http://www.w3.org/2000/svg">
                            <polygon class="fill-white" points="2560 0 2560 100 0 100"></polygon>
                        </svg>
                    </div>
                </section>
                <div class="profile-page">
                    <section class="section">
                        <div class="container">
                            <div class="card shadow">
                                <div class="px-4">
                                    <div class="row justify-content-center">
                                        <div class="col-lg-3">
                                            <div class="card-profile-image text-center">
                                                <a href="#">
                                                    <img src="~assets/img/theme/team-4-800x800.jpg" style="width: 200px" class="rounded-circle mt-4" alt="image">
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-lg-4 order-lg-3 text-lg-right align-self-lg-center">
                                            <div class="card-profile-actions py-4 mt-lg-0">
                                                <a href="#" @click.prevent="connect(currentLawyer._id)" class="btn btn-sm btn-info mr-4">Connect</a>
                                            </div>
                                        </div>
                                        <div class="col-lg-4 order-lg-1">

                                        </div>
                                    </div>
                                    <div class="text-center mt-5">
                                        <h3>{{ currentLawyer.name }}<span class="font-weight-light"></span></h3>
                                        <div class="h6 font-weight-300"><i class="ni location_pin mr-2"></i>{{ currentLawyer.city }}</div>
                                        <div class="h6 mt-4"><i class="ni business_briefcase-24 mr-2"></i>{{ currentLawyer.profession }}</div>
                                        <div><i class="ni education_hat mr-2"></i>{{ currentLawyer.description }}</div>
                                    </div>
                                    <div class="mt-5 py-5 border-top text-center">
                                        <div class="row justify-content-center">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </div>
        <base-button v-if="canNextLawyer" @click="nextLawyer" class="icon icon-shape text-white rounded-circle shadow bg-gradient-red" type="primary" icon="ni ni-bold-right"></base-button>
    </div>
</template>
<script>
    import Vue from 'vue'
    export default {
        props: ['lawyers'],
        data() {
            return {
                form: {
                    email: '',
                    name: '',
                    phone: '',
                    msg: ''
                },
                currentLawyerCount: 0
            }
        },
        computed: {
            canNextLawyer() {
                return this.currentLawyerCount < this.lawyers.length-1;
                // send see lawyer
            },
            canPrevLawyer() {
                return this.currentLawyerCount >= 1;
            },
            currentLawyer () {
                return this.lawyers[this.currentLawyerCount];
            }
        },
        methods: {
            connect(id) {
                $("#contact-modal").modal()
            },
            submitConnect() {
                let lawyer = this.currentLawyer
                let form = this.form
                this.$axios.put(process.env.BACKEND_API + '/contact/add/'+this.currentLawyer._id, {
                    "name": form.name,
                    "email": form.email,
                    "phone": form.phone,
                    "msg": form.msg,
                }).then(results => {
                    Vue.notify({
                        group: 'foo',
                        type: 'success',
                        title: 'Connected',
                        text: 'Successfully connected with lawyer!'
                    })
                    $('#contact-modal').modal('hide')
                }).catch(error => {
                    console.log(error)
                });
            },
            nextLawyer() {
                this.canNextLawyer ? this.currentLawyerCount++ : null;
                this.sendLawyerView()
            },
            previousLawyer() {
                this.canPrevLawyer ? this.currentLawyerCount-- : null;
                this.sendLawyerView()
            },
            sendLawyerView() {
                this.$axios.get(process.env.BACKEND_API+'/dashboard/'+this.currentLawyer._id).then(results => {
                    console.log('view sent')
                })
            }
        }
    }
</script>
<style>
    #pCover {
        height: 0px !important
    }
</style>
